Create Customer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

HTTP Method: POST

Endpoint URL: https://coreapi.impexdocs.com/api/v1/customer

Authentication: Required

Response Format: JSON

Description

To create a Customer, make a POST request to the specified endpoint with the required information. The response will be a JSON object containing the following:

  • Response Code
  • Status
  • Message
  • Result (Customer ID)

Request

To create a Customer, provide the following mandatory inputs in the request JSON:

  1. Customer Type (customer_type): This field defines the category of Customer.

  2. Customer Name (customer_name): This field defines the name to identify the Customer.

Response

The API will respond with a JSON object containing the following:

  • Response Code
  • Status
  • Message
  • Result

Example Response JSON

{
    "response_code": 0,
    "status": 201,
    "message": "Created",
    "result": 10001
}

Note

  • Ensure proper authentication before making the request.
Body Params
customer_type
array of objects | null
customer_type
customer_category
array of objects | null
customer_category
customer_details
object
customer_address
object
other_details
object
customer_defaults
object
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json